"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PROCESS_TYPE = exports.REF_TYPE = exports.REQUEST_METHOD = exports.ROUTER_DEFINATION = exports.DATATYPE = exports.CONSTANT_DEFINATION = exports.ENTITY = exports.ENTITY_COLUMN = void 0;
exports.ENTITY_COLUMN = {
    TYPE: "type",
    VALIDATION: "validation",
    MAXLENGTH: "maxLength",
    MINLENGTH: "minLength",
    PARSE: "parse",
    DEFAULT: "default",
    ISNULL: "isNULL",
};
exports.ENTITY = {
    NAME: "_name",
    DEFINATION: "_defination",
    CONSTANT: "_constant",
    PRIMARY: "primary",
    UNIQUE: "unique",
    AUTOINCREMENT: "auto_increment"
};
exports.CONSTANT_DEFINATION = {
    KEY: "key",
    FORCE: "force",
    NAME: "name",
    START: "start",
    MAX: "max"
};
exports.DATATYPE = {
    STRING: "string",
    ARRAY: "array",
    OBJECT: "object",
    NUMBER: "number",
    BOOLEAN: "boolean"
};
exports.ROUTER_DEFINATION = {
    METHOD: "method",
    PATH: "path",
    MIDDLEWARE: "middleware",
    KEY: "key",
    DATA: "data",
    ERROR: "error",
    TYPE: "type",
    REQUESTBODY: "requestbody",
    REQUESTPARAM: "requestparam",
    REQUESTQUERY: "requestquery",
    REQUESTHEADER: "requestheader",
    REQUEST: "request",
    RESPONCE: "responce",
    NEXT: "next",
    SEND: "send",
    FUNCTION: "function",
    ARGUMENT: "argument",
    CONTROLLER: "__controller"
};
exports.REQUEST_METHOD = {
    POST: "POST",
    GET: "GET",
    PUT: "PUT",
    DELETE: "DELETE"
};
exports.REF_TYPE = {
    INPUT: "input",
    NON_INPUT: "non_input",
    HIDDEN: "hidden"
};
exports.PROCESS_TYPE = {
    ONCHANGE: "change",
    ONSUBMIT: "submit",
    ONBLUR: "blur",
    ONFOCUS: "focus",
    ONKEYUP: "keyup"
};
//# sourceMappingURL=const.js.map